Update an RBS volume
PUT/v1/remote_block_storage/volumes/{volume_id}
A PUT request to the /v1/remote_block_storage/volumes/{volume_id} endpoint will update an RBS volume. Updated parameters should be specified in the request body and a volume in the path parameter. Size can't be decreased. Increasing the size will send a 202 response code with the pending volume status. The 200 code serves for the name and label updates.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
| Field | Details |
|---|---|
volume_id | stringA unique identifier of an RBS volume. Use this request to list all volume IDs. |
Request Body
| Field | Details |
|---|---|
name? | stringGive a new name if necessary. |
size? | integerMin: Increase the volume's size by specifying a value (in GB) bigger than the current one. |
labels? | objectSpecify labels you want to attach to the resource. Refer to the Labels section for more details. |
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/remote_block_storage/volumes/oQeZJepZ" \ -H "Content-Type: application/json" \ -d '{ "size": 101, "labels": { "env": "production" } }'{ "id": "oQeZJepZ", "name": "new name", "size": 100, "status": "active", "location_id": 224, "location_code": "AMS224", "flavor_id": 525, "flavor_name": "RBS Flavor name273", "iops": 76386, "bandwidth": 75728, "labels": { "env": "production" }, "ip_address": null, "target_iqn": null, "created_at": "2026-05-28T06:56:32.608Z", "updated_at": "2026-05-28T06:56:32.713Z"}